%define version    0.4.3
%define release    %mkrel 2

Name:		kding
Summary:	A KDE-port of DING
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.rexi.org/software/kding/
Group:		Education
Source0:	%{name}-%{version}.tar.bz2
Source1:	kding-0.4.1.desktop
BuildRequires:	kdelibs-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
KDing is a KDE port of Ding, a dictionary lookup program. It sits in
KDE's system tray and can translate the current clipboard content. Users can
also enter single words or phrases for translation. It is intended to be used
for translating between German and English, but can be used with every
language for which a word list is available for Ding.

Author: Michael Rex <me@rexi.org>


%prep
%setup -q


%build
%configure_kde3
%make


%install
rm -rf %{buildroot}
%makeinstall_std
mkdir %{buildroot}%{_kde3_datadir}/applnk
mkdir %{buildroot}%{_kde3_datadir}/applnk/Utilities 
cp %SOURCE1 %{buildroot}%{_kde3_datadir}/applnk/Utilities/%{name}.desktop
%find_lang %{name}

# *.desktop-file modification (XDG-Menu)
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Dictionary" \
  --add-category="Education" \
  --add-category="Languages" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Languages" \
  --dir %{buildroot}%{_kde3_datadir}/applnk/Utilities %{buildroot}%{_kde3_datadir}/applnk/Utilities/%{name}.desktop

#icons for rpmlint
mkdir -p %{buildroot}/{%{_kde3_iconsdir},%{_kde3_iconsdir}/mini,%{_kde3_iconsdir}/large}
ln -s ../hicolor/16x16/apps/%{name}.png %{buildroot}/%{_kde3_iconsdir}/mini/
ln -s ./hicolor/32x32/apps/%{name}.png %{buildroot}/%{_kde3_iconsdir}
ln -s ../hicolor/48x48/apps/%{name}.png %{buildroot}/%{_kde3_iconsdir}/large/


%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)

%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_kde3_bindir}/%{name}
%{_kde3_datadir}/applnk/Utilities/%{name}.desktop
%{_kde3_datadir}/applications/kde/%{name}.desktop
%{_kde3_datadir}/apps/%{name}/*
%{_kde3_datadir}/config.kcfg/%{name}.kcfg
%{_kde3_docdir}/HTML/*
%{_kde3_iconsdir}/*png
%{_kde3_iconsdir}/hicolor/*/*/*png
%{_kde3_iconsdir}/large/*png
%{_kde3_iconsdir}/mini/*png

%changelog
* Tue Feb 03 2009 tigger-gg <rpm@mandrivauser.de> 0.4.3-2mud2009.0
- rebuild for x86_64

* Wed Oct 29 2008 Oliver Burger <rpm@mandrivauser.de> 0.4.3-2mud2009.0
- Corrected icon-path

* Wed Oct 22 2008 Oliver Burger <rpm@mandrivauser.de> 0.4.3-1mud2009.0
- Rebuild for 2009.0

* Fri May 16 2008 Oliver Burger <rpm@mandrivauser.de> 0.4.2-1mud2008.1
- new version 0.4.2

* Thu Apr 10 2008 Oliver Burger <rpm@mandrivauser.de> 0.4.1-1mud2008.1
- Rebuild for 2008.1

* Fri Nov 02 2007 Oliver Burger <rpm@mandrivauser.de> 0.4.1-1mud2008.0
- Rebuild for MUde

* Fri Nov 02 2007 MaxiPunkt <email@domain.de> 0.4.1-1max
- First built for Mandriva
